summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_common.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/reproducible_common.sh')
-rwxr-xr-xbin/reproducible_common.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/reproducible_common.sh b/bin/reproducible_common.sh
index c6e8a9fa..99acef4f 100755
--- a/bin/reproducible_common.sh
+++ b/bin/reproducible_common.sh
@@ -441,7 +441,7 @@ call_diffoscope() {
$TMPDIR/b2/$1/$2 2>&1 \
) 2>&1 >> $TMPLOG
RESULT=$?
- LOG_RESULT=$(grep '^E: 15binfmt: update-binfmts: unable to open' $TMPLOG)
+ LOG_RESULT=$(grep '^E: 15binfmt: update-binfmts: unable to open' $TMPLOG || true)
if [ ! -z "LOG_RESULT" ] ; then
rm -f $TMPLOG $TMPDIR/$1/$2.html
echo "$(date -u) - schroot jenkins-reproducible-${DBDSUITE}-diffoscope not availble, will sleep 2min and retry."